=== modified file 'configure.ac'
--- configure.ac	2009-01-22 06:10:39 +0000
+++ configure.ac	2009-01-23 06:58:37 +0000
@@ -1325,7 +1325,7 @@
     CXXFLAGS="${CXXFLAGS} -xinstrument=datarace"
   fi
   CC_WARNINGS="-v -xc99=all -errtags=yes"
-  CXX_WARNINGS="+w +w2 -xport64 -errtags=yes -erroff=attrskipunsup -compat=5"
+  CXX_WARNINGS="+w +w2 -xport64 -errtags=yes -erroff=attrskipunsup,doubunder -compat=5"
   if test "$ac_exceptions" = "no"
   then
     NO_EXCEPTIONS="-features=no%except"

=== modified file 'drizzled/field/blob.cc'
--- drizzled/field/blob.cc	2009-01-23 06:03:42 +0000
+++ drizzled/field/blob.cc	2009-01-23 06:46:21 +0000
@@ -59,8 +59,11 @@
 void Field_blob::store_length(unsigned char *i_ptr,
                               uint32_t i_packlength,
                               uint32_t i_number,
-                              bool )
+                              bool low_byte_first)
 {
+#ifndef WORDS_BIGENDIAN
+  (void)low_byte_first;
+#endif
   switch (i_packlength) {
   case 1:
     i_ptr[0]= (unsigned char) i_number;
@@ -99,9 +102,12 @@
 
 
 uint32_t Field_blob::get_length(const unsigned char *pos,
-                              uint32_t packlength_arg,
-                              bool )
+                                uint32_t packlength_arg,
+                                bool low_byte_first)
 {
+#ifndef WORDS_BIGENDIAN
+  (void)low_byte_first;
+#endif
   switch (packlength_arg) {
   case 1:
     return (uint32_t) pos[0];

